import {
  useEditor as createEditor
} from "@tiptap/vue-3";
import { createCommands } from "../utils/commands.mjs";
import { StarterKitExtension } from "../extensions/starter-kit.mjs";
export function useEditor(config = {}) {
  const editorOptions = {
    ...config.editor,
    editorProps: {
      ...config.editor?.editorProps
    },
    extensions: config.extensions ?? [StarterKitExtension()]
  };
  return {
    editor: createEditor(editorOptions),
    commands: createCommands(config.commands)
  };
}
