"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTitle = useTitle;
var _vue = require("@tiptap/vue-3");
var _extensionDocument = _interopRequireDefault(require("@tiptap/extension-document"));
var _extensionHeading = _interopRequireDefault(require("@tiptap/extension-heading"));
var _extensionPlaceholder = _interopRequireDefault(require("@tiptap/extension-placeholder"));
var _extensionText = _interopRequireDefault(require("@tiptap/extension-text"));
var _defu = require("defu");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TitleDocument = _extensionDocument.default.extend({
  content: "title",
  topNode: true
});
const Title = _extensionHeading.default.extend({
  name: "title",
  group: "title",
  parseHTML: () => [{
    tag: "h1:first-child"
  }]
}).configure({
  levels: [1]
});
const defaultOptions = {
  content: "<h1></h1>",
  extensions: [TitleDocument, _extensionText.default, Title, _extensionPlaceholder.default.configure({
    placeholder: "Untitled Note"
  })]
};
function useTitle(config = {}) {
  const options = (0, _defu.defu)(config, defaultOptions);
  return (0, _vue.useEditor)(options);
}