"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _kit = require("@nuxt/kit");
module.exports = (0, _kit.defineNuxtModule)({
  meta: {
    name: "pilot",
    configKey: "pilot"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(_options, _nuxt) {
    const resolver = (0, _kit.createResolver)(require('url').pathToFileURL(__filename).toString());
    (0, _kit.addComponentsDir)({
      path: resolver.resolve("./components")
    });
    (0, _kit.addImports)([{
      name: "useTitle",
      as: "useTitle",
      from: resolver.resolve("./composables/useTitle")
    }, {
      name: "useEditor",
      as: "useEditor",
      from: resolver.resolve("./composables/useEditor")
    }, {
      name: "useTooltip",
      as: "useTooltip",
      from: resolver.resolve("./composables/useTooltip")
    }, {
      name: "useLinkHover",
      as: "useLinkHover",
      from: resolver.resolve("./composables/useLinkHover")
    }, {
      name: "useFakeHighlight",
      as: "useFakeHighlight",
      from: resolver.resolve("./composables/useFakeHighlight")
    }, {
      name: "commandActions",
      as: "commandActions",
      from: resolver.resolve("./utils/commands")
    }]);
  }
});